Replace a subscription item
curl --request POST \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/replace-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"sku": "MOBO-X570"
},
"replacementItem": {
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"id": "1001",
"frequency": 30,
"frequencyType": "Daily"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
}
}
}
'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/replace-items"
payload = {
"item": { "sku": "MOBO-X570" },
"replacementItem": {
"customAttributes": {
"storeId": "60cb07fc20387b000821c5c3",
"associateId": 1,
"trackingUrl": "609436d21baded0008945b05"
},
"item": {
"id": 1000000006,
"sku": "MOBO-X570",
"quantity": 1,
"weight": 10,
"weightUnit": "lb",
"title": "Vitamin",
"description": "Vitamin C",
"itemPrice": {
"price": 100,
"currencyCode": "USD"
},
"tax": {
"taxCode": "FR020000",
"taxAmount": 10,
"currencyCode": "USD"
}
},
"plan": {
"id": "1001",
"frequency": 30,
"frequencyType": "Daily"
},
"offer": {
"id": "SUB-E10717",
"source": "PDP"
},
"shipping": {
"shipmentCarrier": "USPS",
"shipmentMethod": "Ground",
"shipmentInstructions": "Please leave the package in the box",
"taxCode": "SHP020000",
"shippingAmount": 10,
"taxAmount": 1,
"currencyCode": "USD"
},
"expiry": {
"expiryDate": "2022-07-18T09:16:11.437Z",
"billingCycles": 2
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item: {sku: 'MOBO-X570'},
replacementItem: {
customAttributes: {
storeId: '60cb07fc20387b000821c5c3',
associateId: 1,
trackingUrl: '609436d21baded0008945b05'
},
item: {
id: 1000000006,
sku: 'MOBO-X570',
quantity: 1,
weight: 10,
weightUnit: 'lb',
title: 'Vitamin',
description: 'Vitamin C',
itemPrice: {price: 100, currencyCode: 'USD'},
tax: {taxCode: 'FR020000', taxAmount: 10, currencyCode: 'USD'}
},
plan: {id: '1001', frequency: 30, frequencyType: 'Daily'},
offer: {id: 'SUB-E10717', source: 'PDP'},
shipping: {
shipmentCarrier: 'USPS',
shipmentMethod: 'Ground',
shipmentInstructions: 'Please leave the package in the box',
taxCode: 'SHP020000',
shippingAmount: 10,
taxAmount: 1,
currencyCode: 'USD'
},
expiry: {expiryDate: '2022-07-18T09:16:11.437Z', billingCycles: 2}
}
})
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptions/replace-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "This request to replace items is currently being processed. Once done, we will update you via your webhooks (your webhooks need to be configured). Refer to our documentation on more information on webhooks."
}{
"responseStatus": "BAD_REQUEST",
"message": {
"code": "PRICE_NOT_FOUND",
"message": "No price entry found"
}
}Subscriptions
Replace a subscription item
Replace a subscription item (with details) by specifying item SKU
POST
/
v1
/
subscriptions
/
replace-items
Replace a subscription item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Request processed successfully
Replace item response
Brief response status
Example:
"OK"
Full response message
Example:
"This request to replace items is currently being processed. Once done, we will update you via your webhooks (your webhooks need to be configured). Refer to our documentation on more information on webhooks."
Was this page helpful?
